Bug 439922 - --nodefaults broken
--nodefaults broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 19:46 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 11:48:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kickstart (3.82 KB, text/plain)
2008-04-01 17:12 EDT, Dave Jones
no flags Details

  None (edit)
Description Dave Jones 2008-03-31 19:46:56 EDT
the docs, and the wiki for the kickstart feature mention the option --nodefaults
Passing this to %packages causes anaconda to abort with 'no such option'.
Comment 1 Chris Lumens 2008-04-01 11:23:34 EDT
--nodefaults is an option to a group itself, not to the %packages header.  It's
kind of awful syntax, but I don't think there's really a more clear way to do
it.  So you'd have something like this:

@gnome-desktop --nodefaults

instead of:

%packages --nodefaults
Comment 2 Dave Jones 2008-04-01 15:55:07 EDT
hrm. that doesn't seem to work either :-/

That gets me a dialog saying that the group that I'm modifying doesn't exist.
Removing the --nodefaults again makes it work.
Comment 3 Dave Jones 2008-04-01 17:12:46 EDT
Created attachment 299970 [details]
kickstart
Comment 4 Chris Lumens 2008-04-02 11:48:54 EDT
That's what I get for using a really basic test of whether package groups exist
or not.

Note You need to log in before you can comment on or make changes to this bug.